## org.eclipse.m2m.atl.engine.asm
Class ASM

    java.lang.Object
      org.eclipse.m2m.atl.engine.asm.ASM

    public class ASM

extends java.lang.Object

This class represents a transformation module, which can have fields.

Constructor Summary
`ASM()` Creates a new ASM.
`ASM(java.lang.String name)` Creates a new ASM with the given name.

Method Summary
`void` `addField(ASMField f)` Add a field.
`void` `addOperation(ASMOperation o)` Add an operation.
`ASMField` `getField(java.lang.String fieldName)` Returns the existing field with the given name.
`java.util.List` `getFields()`
`java.lang.String` `getName()`
`ASMOperation` `getOperation(java.lang.String operationName)` Returns the existing operation with the given name.
`java.util.List` `getOperations()`
`java.lang.String` `getVersion()`
`void` `setName(java.lang.String name)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASM

    public ASM()

  Creates a new ASM.

### ASM

    public ASM(java.lang.String name)

  Creates a new ASM with the given name.

  Parameters:
    `name` - the ASM name

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### addField

    public void addField(ASMField f)

  Add a field.

  Parameters:
    `f` - the field

### getField

    public ASMField getField(java.lang.String fieldName)

  Returns the existing field with the given name.

  Parameters:
    `fieldName` - the given name
  Returns:
    the field

### getFields

    public java.util.List getFields()

### addOperation

    public void addOperation(ASMOperation o)

  Add an operation.

  Parameters:
    `o` - the operation

### getOperation

    public ASMOperation getOperation(java.lang.String operationName)

  Returns the existing operation with the given name.

  Parameters:
    `operationName` - the given name
  Returns:
    the operation

### getOperations

    public java.util.List getOperations()

### setVersion

    public void setVersion(java.lang.String version)

### getVersion

    public java.lang.String getVersion()

Copyright 2007 IBM Corporation and others. All Rights Reserved.